# $Revision: 1.24.2.3 $, $Date: 2007/02/17 21:06:12 $
#
# Conditional build:
%bcond_without	gss		# without GSSAPI mechanism
%bcond_without	krbv5		# without KERBEROS_V5 mechanism
%bcond_without	ntlm		# without NTLM mechanism
%bcond_without	static_libs	# don't build static libraries
#
Summary:	GNU SASL - implementation of the Simple Authentication and Security Layer
Summary(pl):	GNU SASL - implementacja Simple Authentication and Security Layer
Name:		gsasl
Version:	0.2.15
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://josefsson.org/gsasl/releases/%{name}-%{version}.tar.gz
# Source0-md5:	906954c002098370c161ac2c97c4c33e
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/gsasl/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	gnutls-devel >= 1.2.0
%{?with_gss:BuildRequires:	gss-devel >= 0.0.0}
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libidn-devel >= 0.1.0
%{?with_ntlm:BuildRequires:	libntlm-devel >= 0.3.5}
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
# alternatively, krb5 or heimdal could be used for GSSAPI and KERBEROS_V5
%{?with_krbv5:BuildRequires:	shishi-devel >= 0.0.0}
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
%{?with_ntlm:Requires:	libntlm >= 0.3.5}
Obsoletes:	libgsasl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL is
used by network servers (e.g., IMAP, SMTP) to request authentication
from clients, and in clients to authenticate against servers.

GNU SASL contains a library (`libgsasl'), a command line utility
(`gsasl') to access the library from the shell, and a manual. The
library includes support for the SASL framework (with authentication
functions and application data privacy and integrity functions) and at
least partial support for the CRAM-MD5, EXTERNAL, GSSAPI, ANONYMOUS,
PLAIN, SECURID, DIGEST-MD5, LOGIN, NTLM and KERBEROS_V5 mechanisms.

The library is portable because it does not do network communication
by itself, but rather leaves it up to the calling application. The
library is flexible with regards to the authorization infrastructure
used, as it utilizes callbacks into the application to decide whether
an user is authorized or not.

%description -l pl
GNU SASL to implementacja szkieletu Simple Authentication and Security
Layer (prostej warstwy uwierzytelniania i bezpieczestwa) oraz kilku
popularnych mechanizmw SASL. SASL jest uywane przez serwery sieciowe
(np. IMAP i SMTP) do dania uwierzytelnienia od klientw oraz w
klientach do uwierzytelniania wzgldem serwerw.

GNU SASL zawiera bibliotek (libgsasl), narzdzie dziaajce z linii
polece (gsasl) pozwalajce na korzystanie z biblioteki z poziomu
powoki oraz dokumentacj. Biblioteka ma obsug szkieletu SASL (z
funkcjami uwierzytelniajcymi oraz zapewniajcymi prywatno i
spjno danych aplikacji) oraz przynajmniej czciow obsug
mechanizmw CRAM-MD5, EXTERNAL, GSSAPI, ANONYMOUS, PLAIN, SECURID,
DIGEST-MD5, LOGIN, NTLM oraz KERBEROS_V5.

Biblioteka jest przenona, poniewa sama nie korzysta z komunikacji
sieciowej, pozostawiajc to wywoujcej j aplikacji. Biblioteka jest
elastyczna ze wzgldu na uywan infrastruktur uwierzytelniania,
poniewa korzysta z callbackw w aplikacji przy decydowaniu, czy
uytkownik jest autoryzowany.

%package devel
Summary:	Header files for GNU SASL library
Summary(pl):	Pliki nagwkowe biblioteki GNU SASL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_gss:Requires:	gss-devel >= 0.0.0}
Requires:	libgcrypt-devel >= 1.1.42
Requires:	libidn-devel >= 0.1.0
%{?with_ntlm:Requires:	libntlm-devel >= 0.3.5}
%{?with_krbv5:Requires:	shishi-devel >= 0.0.0}
Obsoletes:	libgsasl-devel

%description devel
Header files for GNU SASL library.

%description devel -l pl
Pliki nagwkowe biblioteki GNU SASL.

%package static
Summary:	Static GNU SASL library
Summary(pl):	Statyczna biblioteka GNU SASL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libgsasl-static

%description static
Static GNU SASL library.

%description static -l pl
Statyczna biblioteka GNU SASL.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd lib
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd -
%configure \
	--enable-gtk-doc \
	%{!?with_gss:--disable-gssapi} \
	%{!?with_krbv5:--disable-kerberos_v5} \
	%{!?with_ntlm:--disable-ntlm} \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir} \
	--with-libgcrypt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# libgsasl for lib, gsasl for app
%find_lang %{name} --all-name

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS
%attr(755,root,root) %{_bindir}/gsasl
%attr(755,root,root) %{_libdir}/libgsasl.so.*.*.*
%{_mandir}/man1/gsasl.1*
%{_infodir}/*.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsasl.so
%{_libdir}/libgsasl.la
%{_includedir}/gsasl*.h
%{_pkgconfigdir}/libgsasl.pc
%{_mandir}/man3/*.3*
%{_gtkdocdir}/gsasl

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgsasl.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gsasl.spec,v $
Revision 1.24.2.3  2007/02/17 21:06:12  qboosh
- release 2 (new gnutls)

Revision 1.24.2.2  2006/08/24 15:30:07  charles
- without static_libs bcond
- BR: pkgconfig

Revision 1.24.2.1  2006/08/23 04:33:49  glen
- merged 0.2.15 update from HEAD (autoconf update ignored as it builds)
- check-files cleanup

Revision 1.30  2006/08/22 22:19:10  qboosh
- updated to 0.2.15

Revision 1.29  2006/08/04 22:28:11  charles
- added ac/am/lt regenerate lib

Revision 1.28  2006/07/18 18:50:31  qboosh
- updated to 0.2.13; needs autoconf 2.60 (AC_CHECK_*_ONCE)

Revision 1.27  2006/03/23 21:10:31  qboosh
- updated to 0.2.12

Revision 1.26  2006/02/07 14:52:46  undefine
- up to 0.2.11

Revision 1.25  2005/10/24 17:51:58  qboosh
- updated to 0.2.10, removed obsolete pl.po-update patch

Revision 1.24  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.23  2005/08/28 16:04:08  qboosh
- updated to 0.2.7, updated pl.po-update patch

Revision 1.22  2005/08/13 17:37:25  qboosh
- updated to 0.2.6, updated pl.po-update patch

Revision 1.21  2005/07/11 18:10:17  arekm
- rel 2

Revision 1.20  2005/02/12 20:29:46  qboosh
- updated to 0.2.5, updated pl.po-update patch

Revision 1.19  2005/01/07 18:13:41  qboosh
- updated to 0.2.4

Revision 1.18  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.17  2004/12/22 23:15:46  qboosh
- updated to 0.2.3, added pl.po-update patch
- use system libgcrypt instead of bundled nettle

Revision 1.16  2004/11/29 20:29:04  qboosh
- updated to 0.2.2, removed obsolete pl.po-update patch

Revision 1.15  2004/11/21 22:57:46  qboosh
- updated to 0.2.1, updated pl.po-update patch

Revision 1.14  2004/08/25 21:01:18  qboosh
- updated to 0.1.4
- translations merged, added pl.po-update patch with trivial update

Revision 1.13  2004/08/05 20:53:57  qboosh
- updated to 0.1.3, updated pl.po

Revision 1.12  2004/07/19 19:40:45  qboosh
- updated to 0.1.2

Revision 1.11  2004/06/27 15:37:22  qboosh
- updated to 0.1.1

Revision 1.10  2004/04/17 23:00:37  qboosh
- updated to 0.1.0, updated pl.po, added pl.po for libgsasl domain

Revision 1.9  2004/02/22 23:50:15  qboosh
- added pl.po, release 2

Revision 1.8  2004/02/14 20:00:05  adamg
- updated to 0.0.14

Revision 1.7  2004/01/18 22:33:34  qboosh
- updated to 0.0.13

Revision 1.6  2004/01/15 20:32:01  qboosh
- updated to 0.0.12

Revision 1.5  2004/01/07 20:08:35  qboosh
- updated to 0.0.11

Revision 1.4  2003/11/25 22:23:28  qboosh
- updated to 0.0.10

Revision 1.3  2003/11/21 13:27:20  qboosh
- updated md5

Revision 1.2  2003/11/21 13:19:28  qboosh
- updated to 0.0.9 (ported to libgcrypt >= 1.1.42 at last)
- workaround autoconf problems

Revision 1.1  2003/10/23 21:17:48  qboosh
- libgsasl has been renamed to gsasl
- updated to 0.0.8
- updated libgcrypt patch (now configure must be hacked for new libgcrypt)

Revision 1.1  2003/08/03 10:24:21  qboosh
- new, patched for libgcrypt 1.1.42
